Ominstallation av iMac G4

Tråden skapades och har fått 7 svar. Det senaste inlägget skrevs .
1
  • Medlem
  • Linköping
  • 2011-08-30 23:39

Hej!

Sitter och leker lite med min gamla iMac G4. Tänkte ställa upp den och spela lite musik från. Började rota i mina gamla skivsamlingar och hittade följade:

OS 9 (Orangea skivor)
OS X 10.2.3 (Grå skiva)
OS X 10.4.4 (Gråa skivor)

Tänke då att 10.4.4 vore trevligt - senaste versionen jag hade tillgänglig. Får dock följande fel vid install:

panic(cpu ) caller 0x002DFAAB: Unable to find driver for this platform:

Latest stack backtrace for cpu 0:
Backtrace:
0x00098C54 0x00099610 0x000279B0 0x002DFAAB 0x0002BBB70 0x002BEB38 0x002BDC4C 0x000ACC14
Proceeding back via exception chain;
Exception state (sv=0x0118AA00)

PC=0x00000000; MSR=0x0000D030; DAR=0x00000000; DSISR=0x00000000;*

LR=0x00000000; R1=0x00000000; XCP=0x00000000 (Unknown)*

Kernel version:
Darwin Kernel Version 8.4.1: Tue Jan 3 18:27:02 PST 2006; root:xnu-792.7.90.obj~1/RELEASE_PPC

No debugger configured – dumping debug information
MSR=00001030
*Latest stack backtrace for cpu 0: *
Backtrace:

0x00098C54 0x00099808 0x000279B0 0x002DFAAB 0x002BBB70 0x002BCCC0*
0X002BEB38 0x002BDC4C 0x000ACC14
Proceeding back via exception chain;
Exception state (sv=0x018AA00)
PC=0x00000000; MSR=0x0000D030; DAR=0x00000000; DSISR=0x00000000;

LR=0x00000000; R1=0x00000000; XCP=0x00000000 (Unknown)

Kernel version:
Darwin Kernel Version 8.4.1: Tue Jan 3 18:27:02 PST 2006; root:xnu-792.7.90.obj~1/RELEASE_PPC
Panic: We are hanging here…

Vet att man får dessa fel om man tar skivor från fel Mac, men jag tror verkligen att det är dessa som tillhör denna iMacen. Måste jag börja på OS 9 och uppgradera mig framåt för att få igång installen på OS X 10.4.4? Tänkte om den känner det som fel licens då jag inte uppgraderar mig från retailskivan som följde med macen. Kommer inte ihåg hur det var på denna tiden, men på nya macar är ju licensen till OS X inbakad i skivan. Retail 10.4.4 var väl svarta skivor? Någon där ute som minns hur det gick till på denna tiden?

Ursprungligen av liinden:

Sitter och leker lite med min gamla iMac G4. Tänkte ställa upp den och spela lite musik från. Började rota i mina gamla skivsamlingar och hittade följade:
...
Vet att man får dessa fel om man tar skivor från fel Mac, men jag tror verkligen att det är dessa som tillhör denna iMacen. Måste jag börja på OS 9 och uppgradera mig framåt för att få igång installen på OS X 10.4.4? Tänkte om den känner det som fel licens då jag inte uppgraderar mig från retailskivan som följde med macen. Kommer inte ihåg hur det var på denna tiden, men på nya macar är ju licensen till OS X inbakad i skivan. Retail 10.4.4 var väl svarta skivor? Någon där ute som minns hur det gick till på denna tiden?

De kan inte vara originalskivorna eftersom den sista iMac G4an kom med 10.3.1 Panther

iMac G4/1.25 20-Inch "FP" (USB 2.0) Specs (iMac USB 2.0, M9290LL/A, PowerMac6,3, N/A, N/A) @ EveryMac.com

Det bästa du kan göra är att få tag på en generic/retail Tiger skiva och köra med den.

  • Medlem
  • Linköping
  • 2011-08-31 00:40

Nej, det är nog inte skivor som levereras med iMac (de är ju svarta väl? Mina är gråa!). Men det är köpta uppdateringar av OS X och jag tror att datorn levererades med OS 9. Även efter att en Mac-modell slutat att tillverkas brukar ju apple släppa OS-uppdateringar ett tag till innan modellen blir helt unsupported. Vart jag vill komma med detta är att det är väl irellevant om sista G4 levererades med 10.3.1 då man kan köpa nyare OS som uppdateringsskiva senare? Har 17-tumsmodellen för övrigt...

Jag kan inte komma på vart jag skulle fått skivorna från annars om de inte används på denna macen?

Uppdatering är en sak, men de skivorna brukar förutsätta att du har det tidigare systemet installerat.

För att göra en clean-install och sedan uppdatera måste du ju ha originalskivorna och om den sista iMac G4an kom med 10.3.1 (och du inte har talat om vilken modell du har vilket gör det omöjligt för mej att veta vilket som var originalsystemet på din maskin) så måste du då ha de skivorna för att sedan kunna installera uppdateringen. Om det är en nyare version av Mac OS X som du köpt för att köra en nyare version, men att skivorna inte var maskin-specifika så är ovanstående problem ett hårdvaru-problem med maskinen och inte skivorna.

FYI Alla iMac G4 kom med Mac OS X också, bara det att vissa kunde man även köra OS 9 på.

everymac.com

Ursprungligen av liinden:

...då jag inte uppgraderar mig från retailskivan som följde med macen...

Vill bara påpeka att du blandar ihop begreppen här.

Retailskiva = sådan man köper i butik.

De installationsskivor som följer med datorn kallas inte retail.

Ursprungligen av liinden:

...det är nog inte skivor som levereras med iMac (de är ju svarta väl? Mina är gråa!)...

Även här vänder du på begreppen (medföljande skiva vs. retail-skiva).

Om de är gråa så är det förmodligen skivor som har följt med en dator.

Retailskivorna brukar vara svarta eller vita, och ha ett stort X eller någon bild på sig.

Senast redigerat 2011-09-01 15:35
Ursprungligen av liinden:

...Måste jag börja på OS 9 och uppgradera mig framåt för att få igång installen på OS X 10.4.4?...

Nej, det finns ingen väg att uppgradera från OS 9 till OS X på det sättet - dvs att installera en OS X "ovanpå" en OS 9 - så det spåret kan du släppa.

Om din 10.4-skiva är något slags uppgraderingsskiva så är det från 10.3 i så fall - även om jag tvivlar på att det funnits sådana uppgraderingsskivor.

Berätta gärna exakt vad som står tryckt på skivorna.

Jag misstänker att den där 10.4.4-skivan är från en Intel-iMac.

  • Medlem
  • Hjo
  • 2011-09-07 12:50

Den som spar han har...:$
Jag har också en G4 17tummare, näst sista modellen (2003) och har originalskivan kvar och den är 10.2.3.
Den går att köra t o m 10.5.8, åtminstone har jag det på min om jag kommer ihåg rätt.

Se bild på originalskivan:

Du har väl samma iMac som jag , med 10.2.3 (eller modellen efter, det var bara 20-tummarna som kom med 10.3.1) såg jag, det går väl att spela musik med den också?
Annars kan du skaffa en retailskiva med 10.5 och uppdatera till 10.5.8 så har du det senaste...

Senast redigerat 2011-09-07 15:37
1
Bevaka tråden